dnl openib.m4: an autoconf for OpenIB kernel reference
dnl
dnl
dnl To use this macro, just do OPENIB_KERNEL.
dnl The following variables are defined:
dnl with-openib - the openib kernel installation prefix
dnl OPEIB_CFLAGS - CFLAGS additions required (-I )
dnl

AC_DEFUN([OPENIB_KERNEL], [
# --- BEGIN OPENIB_KERNEL ---
dnl To link against OpenIB kernel, configure does several
dnl things to make my life "easier".
dnl
dnl * if the user did define where openib kernel is look for it in "standard" places
dnl * if can not be found - ask the user for --with-openib
dnl
dnl If with_openib is not provided look for it under:
dnl   /usr/src/openib
dnl   /usr/local/src/openib
dnl
dnl ----------------------------------------------------------------

dnl Define a way for the user to provide path to OpenIB kernel
AC_ARG_WITH(openib,
[  --with-openib=<dir> define OpenIB kernel prefix],
AC_MSG_NOTICE(Using OpenIB kernel from:$with_openib),
with_openib="none")

dnl if the user did not provide --with-openib look for it in reasonable places
if test "x$with_openib" = xnone; then
   if test -d /usr/src/openib; then
      with_openib=/usr/src/openib
   elif test -d /usr/local/src/openib; then
      with_openib=/usr/local/src/openib
   else
      AC_MSG_ERROR([OPENIB: --with-openib must be provided - fail to find standard OpenIB kernel installation])
   fi
fi
AC_MSG_NOTICE(OPENIB: used from $with_openib)

dnl validate the defined path - so the build id header is there
AC_CHECK_FILE($with_openib/include/rdma/sdp_socket.h,,
   AC_MSG_ERROR([OPENIB: could not find $with_openib/include/rdma/sdp_socket.h]))

OPENIB_CFLAGS="-I$with_openib/include"

AC_SUBST(with_openib)
AC_SUBST(OPENIB_CFLAGS)

# --- OPENIB_APP_OPENIB ---
]) dnl OPENIB_APP_OPEIB


